Subject: [LON-CAPA-dev] RE: Unstable lonc..

From: "Ron Fox" <[email-masked]>
Date: Mon, 18 Mar 2002 09:03:34 -0500

This is exactly the defect I just fixed;  When a single link drops
 for whatever reason, book keeping errors cause lonc to decide that
 all links have dropped and, because that's not in fact true, it'll
 continually try to restart all links until its retry count gets
 exceeded. 
  If you're feeling >lucky< the newest lonc from the cvs should fix
this issue.  I would have replied to this a bit earlier,  but this
weekend was full of fighting catastrophic hardware collapses in my
home systems, which left me unable to read mail.

Ron.

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of
> [email-masked]
> Sent: Sunday, March 17, 2002 4:52 PM
> To: [email-masked]
> Subject: LON-CAPA-dev digest, Vol 1 #16 - 14 msgs
> 
> 
> Send LON-CAPA-dev mailing list submissions to
> 	[email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web, visit
> 	http://mail.lon-capa.org/mailman/listinfo/lon-capa-dev
> or, via email, send a message with subject or body 'help' to
> 	[email-masked]
> 
> You can reach the person managing the list at
> 	[email-masked]
> 
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of LON-CAPA-dev digest..."
> 
> 
> Today's Topics:
> 
>    1. Re: LON-CAPA-mysql (Martin Siegert)
>    2. Re: Re: LON-CAPA-mysql (Scott Harrison)
>    3. please help (Felicia Berryman)
>    4. more info with s1 (Felicia Berryman)
>    5. announcing 0.1-1 (Scott Harrison)
>    6. The daemon that refused to die (Matthew Brian Hall)
>    7. Re: The daemon that refused to die (Guy Albertelli II)
>    8. Re: The daemon that refused to die (Matthew Brian Hall)
>    9. Re: more info with s1 (Gerd Kortemeyer)
>   10. Re: more info with s1 (Scott Harrison)
>   11. Unstable lonc (Gerd Kortemeyer)
>   12. New files (Guy Albertelli II)
>   13. administrator role header (Nishreen Upletawala)
>   14. Re: administrator role header (Gerd Kortemeyer)
> 
> --__--__--
> 
> Message: 1
> Date: Tue, 12 Mar 2002 15:59:44 -0800
> From: Martin Siegert <[email-masked]>
> To: Scott Harrison <[email-masked]>
> Cc: [email-masked]
> Subject: [LON-CAPA-dev] Re: LON-CAPA-mysql
> Reply-To: [email-masked]
> 
> On Tue, Mar 12, 2002 at 06:36:31PM -0500, Scott Harrison wrote:
> > 
> > Short answer:
> > * there are no plans to revisit LON-CAPA-mysql
> > * and, I assume, since the compilation was standard,
> >   mysql uses shared zlib library
> > 
> > Long answer:
> > LON-CAPA-mysql is a standard compilation of mysql on a RedHat 6.2
> > system.
> > 
> > Initially done from source:
> > DBI-1.13.tar.gz  Msql-Mysql-modules-1.2209.tar.gz 
> > mysql-3.22.32.tar.gz  
> > 
> > To quote my writing in:
> > CVS:doc/mysql_note.txt
> > 
> > BeginQuote
> > There were problems with using the RedHat packages since the
> > three different RedHat packages were somewhat noncompatible with
> > each other in terms of expected file locations. (The Debian linux
> > distribution, on the other hand, has a working set of these
> > packages).
> > EndQuote
> > 
> > We are now working on a more focused post-installation approach
> > to LON-CAPA installation.
> > 
> > For RedHat 7.* systems, see the note I wrote
> > "Regarding MySQL." in CVS:doc/how_to_install_on_RedHat7.2.tx
> > 
> > RedHat 7.* can/should use rpm packages for mysql, though
> > LON-CAPA-mysql still works in this scenario.
> > 
> > Please let me know if you think we/all are still facing a glitch
> > here. 
> 
> Hmm. 
> 
> # cd /usr/local/mysql-3.23.33-pc-linux-gnu-i686/bin
> # ldd mysqld
> 	not a dynamic executable
> # ldd mysql
> 	not a dynamic executable
> 
> This looks like as if those binaries are compiled with static
> libraries. ... which is bad news.
> 
> Thus, what is the easiest way of fixing this on RH 6.2? Would 
> rebuilding the 
> src.rpm with a prefix /usr/local work? Or do you have a src.rpm for
> LON-CAPA-mysql that I can modify to use shared libraries?
> 
> Under RH 7.2 using the mysql-server rpm I find:
> # ldd /usr/libexec/mysqld
> 	libdl.so.2 => /lib/libdl.so.2 (0x40022000)
> 	libpthread.so.0 => /lib/i686/libpthread.so.0 (0x40026000)
> 	libz.so.1 => /usr/lib/libz.so.1 (0x4003b000)
> 	libcrypt.so.1 => /lib/libcrypt.so.1 (0x40049000)
> 	libnsl.so.1 => /lib/libnsl.so.1 (0x40076000)
> 	libstdc++-libc6.2-2.so.3 => 
> /usr/lib/libstdc++-libc6.2-2.so.3 (0x4008c000)
> 	libm.so.6 => /lib/i686/libm.so.6 (0x400cf000)
> 	libc.so.6 => /lib/i686/libc.so.6 (0x400f2000)
> 	/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
> 
> Thus this does used shared libraries. Would rebuilding the src.rpm
> of this package for RH 6.2 work?
> 
> Cheers,
> Martin
> 
> --__--__--
> 
> Message: 2
> Date: Tue, 12 Mar 2002 19:49:07 -0500
> From: Scott Harrison <[email-masked]>
> To: [email-masked]
> Subject: Re: [LON-CAPA-dev] Re: LON-CAPA-mysql
> Reply-To: [email-masked]
> 
> Dear Martin:
> 
> Okay. I read redhat errata, and based on your ldd testing...
> 
> STATUS:
> Thanks for checking and letting me know.  Okay.. we gotta
> rebuild.  I suppose I will do this unless I can plead/beg
> for any other involvement somehow.
> 
> REGARDING YOUR SRC.RPM IDEA: 
> 
> I know all there is to know about src.rpm and...
> 
> I find the CVS:loncom/build/make_rpm.pl script that I wrote
> to be much easier to use than the .src.rpm system.
> It is a one line command; file listing in, and out pops the rpm.
> 
> So a procedure is, build/compile mysql with new zlib into
> tmpperltarget directory, and then
> 
> find tmpperltarget | perl make_rpm.pl LON-CAPA-mysql 3.4 '' ''
> tmpperltarget
> 
> Out pops (cleanly as well)
> LON-CAPA-mysql-3.4-1.i386.rpm
> 
> A sixth argument can specify an xml file which will customize
> the rpm software package's metadata.
> 
> You can do
> perldoc make_rpm.pl to read the documentation..
> 
> The DBI and Msql-Mysql perl modules belong in the someday
> loncapa-perlplus
> rpm. But are currently in LON-CAPA-mysql.
> 
> Regards,
> Scott
> 
> Martin Siegert wrote:
> > 
> > On Tue, Mar 12, 2002 at 06:36:31PM -0500, Scott Harrison wrote:
> > >
> > > Short answer:
> > > * there are no plans to revisit LON-CAPA-mysql
> > > * and, I assume, since the compilation was standard,
> > >   mysql uses shared zlib library
> > >
> > > Long answer:
> > > LON-CAPA-mysql is a standard compilation of mysql on a RedHat
> > > 6.2 system.
> > >
> > > Initially done from source:
> > > DBI-1.13.tar.gz  Msql-Mysql-modules-1.2209.tar.gz  
> mysql-3.22.32.tar.gz
> > >
> > > To quote my writing in:
> > > CVS:doc/mysql_note.txt
> > >
> > > BeginQuote
> > > There were problems with using the RedHat packages since the
> > > three different RedHat packages were somewhat noncompatible
> > > with each other in terms of expected file locations. (The
> > > Debian linux distribution, on the other hand, has a working set
> > > of these packages).
> > > EndQuote
> > >
> > > We are now working on a more focused post-installation approach
> > > to LON-CAPA installation.
> > >
> > > For RedHat 7.* systems, see the note I wrote
> > > "Regarding MySQL." in CVS:doc/how_to_install_on_RedHat7.2.tx
> > >
> > > RedHat 7.* can/should use rpm packages for mysql, though 
> LON-CAPA-mysql
> > > still works in this scenario.
> > >
> > > Please let me know if you think we/all are still facing a
> > > glitch here. 
> > 
> > Hmm.
> > 
> > # cd /usr/local/mysql-3.23.33-pc-linux-gnu-i686/bin
> > # ldd mysqld
> >         not a dynamic executable
> > # ldd mysql
> >         not a dynamic executable
> > 
> > This looks like as if those binaries are compiled with static
> > libraries. ... which is bad news.
> > 
> > Thus, what is the easiest way of fixing this on RH 6.2? Would 
> rebuilding the
> > src.rpm with a prefix /usr/local work? Or do you have a src.rpm
> > for LON-CAPA-mysql that I can modify to use shared libraries?
> > 
> > Under RH 7.2 using the mysql-server rpm I find:
> > # ldd /usr/libexec/mysqld
> >         libdl.so.2 => /lib/libdl.so.2 (0x40022000)
> >         libpthread.so.0 => /lib/i686/libpthread.so.0 (0x40026000)
> >         libz.so.1 => /usr/lib/libz.so.1 (0x4003b000)
> >         libcrypt.so.1 => /lib/libcrypt.so.1 (0x40049000)
> >         libnsl.so.1 => /lib/libnsl.so.1 (0x40076000)
> >         libstdc++-libc6.2-2.so.3 => 
> /usr/lib/libstdc++-libc6.2-2.so.3 (0x4008c000)
> >         libm.so.6 => /lib/i686/libm.so.6 (0x400cf000)
> >         libc.so.6 => /lib/i686/libc.so.6 (0x400f2000)
> >         /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
> > 
> > Thus this does used shared libraries. Would rebuilding the 
> src.rpm of this
> > package for RH 6.2 work?
> > 
> > Cheers,
> > Martin
> > _______________________________________________
> > LON-CAPA-dev mailing list
> > [email-masked]
> > http://mail.lon-capa.org/mailman/listinfo/lon-capa-dev
> 
> -- 
> Scott Harrison -- Graduate Student
> Microbiology and Molecular Genetics
> Mich. State. Univ., East Lansing, MI
> [email-masked], 517-353-0998
> 
> --__--__--
> 
> Message: 3
> Date: Wed, 13 Mar 2002 11:59:15 -0500
> From: Felicia Berryman <[email-masked]>
> Organization: LON-CAPA
> To: LON-CAPA Development Team <[email-masked]>
> Subject: [LON-CAPA-dev] please help
> Reply-To: [email-masked]
> 
> Hello,
> 
> It appears that the s2 server isn't get updated with changes made
> on s10.  s1 and s2 seem to work fine (for at least the BS 111 class
> I tested).  I looked at server-status on s2 and couldn't make much
> sense of it.  I looked at lon-status and I did find those con_lost
> message in the "Connections" section.  I'm guessing lonc/lond have
> to
> restarted(?).  
> 
> Felicia
> --
> Felicia Berryman
> LON-CAPA Coordinator
> Michigan State University
>   Email:  [email-masked]
>   Phone:  (517)432-9866  
> http://www.lon-capa.org
> 
> --__--__--
> 
> Message: 4
> Date: Wed, 13 Mar 2002 12:01:14 -0500
> From: Felicia Berryman <[email-masked]>
> Organization: LON-CAPA
> To: LON-CAPA Development Team <[email-masked]>
> Subject: [LON-CAPA-dev] more info with s1
> Reply-To: [email-masked]
> 
> Ummm, this doesn't look to groovy either:
> 
> lonc
> 
> Log
> 
> Wed Mar 13 06:39:01 2002 (19770): CRITICAL: Child 30780 for server
> wsccl1 died (4)
> Wed Mar 13 06:39:01 2002 (19770): INFO: Trying to reconnect for
> wsccl1 (5 of 5 attempts)
> Wed Mar 13 06:39:01 2002 (19770): Attempting to start child for
> server wsccl1
> Wed Mar 13 06:49:34 2002 (30783): WARNING: Couldn't connect ncstl1
> (226 secs): IO::Socket::INET: Connection timed out
> Wed Mar 13 06:49:41 2002 (30784): WARNING: Couldn't connect loncapa
> (264 secs): IO::Socket::INET: Connection timed out
> Wed Mar 13 06:52:10 2002 (30785): WARNING: Couldn't connect wsccl1
> (351 secs): IO::Socket::INET: Connection timed out
> Wed Mar 13 06:53:20 2002 (19770): CRITICAL: Child 30783 for server
> ncstl1 died (5)
> Wed Mar 13 06:54:05 2002 (19770): CRITICAL: Child 30784 for server
> loncapa died (5)
> Wed Mar 13 06:58:01 2002 (19770): CRITICAL: Child 30785 for server
> wsccl1 died (5)
> Wed Mar 13 07:15:00 2002 (19782): Sending msua4: ping
> --
> Felicia Berryman
> LON-CAPA Coordinator
> Michigan State University
>   Email:  [email-masked]
>   Phone:  (517)432-9866  
> http://www.lon-capa.org
> 
> --__--__--
> 
> Message: 5
> Date: Wed, 13 Mar 2002 12:09:17 -0500
> From: Scott Harrison <[email-masked]>
> To: [email-masked]
> Subject: [LON-CAPA-dev] announcing 0.1-1
> Reply-To: [email-masked]
> 
> Dear All:
> 
> Announcing version 0.1-1:
> http://install.lon-capa.org/versions/0.1-1/
> http://install.lon-capa.org/versions/current/
> 
> (I would highly recommend waiting for 0.1-2 before
> getting too excited.)
> 
> The directory version pointing is (of course)
> done with soft-linking.
> 
> This version leads toward a post-installation
> (and planned to be TESTABLE at all system-critical
> points) RedHat 7.2 approach.
> 
> So, the (tar)ball rolls along and we hop merrily along.
> 
> Regards,
> Scott
> 
> -- 
> Scott Harrison -- Graduate Student
> Microbiology and Molecular Genetics
> Mich. State. Univ., East Lansing, MI
> [email-masked], 517-353-0998
> 
> --__--__--
> 
> Message: 6
> To: [email-masked]
> Date: Wed, 13 Mar 2002 16:56:41 -0500 (EST)
> From: "Matthew Brian Hall" <[email-masked]>
> Subject: [LON-CAPA-dev] The daemon that refused to die
> Reply-To: [email-masked]
> 
> Hey,
> 
> I'm getting the following errors when I /etc/init.d/httpd restart :
> 
> [Wed Mar 13 16:28:53 2002] [warn] child process 15448 still did not
> exit, sending a SIGTERM
> [Wed Mar 13 16:28:53 2002] [warn] child process 15450 still did not
> exit, sending a SIGTERM
> [Wed Mar 13 16:29:00 2002] [crit] (98)Address already in use: 
> make_sock: could
> not bind to port 80
> 
> Anyone else seeing these?
> 
> Matthew
> 
>  --
> ------------------------------------------------------------------
> Matthew Hall           LON-CAPA developer         [email-masked]
> 123 North Kedzie Hall                    Michigan State University
> ------------------------------------------------------------------
> 
> 
> --__--__--
> 
> Message: 7
> Subject: Re: [LON-CAPA-dev] The daemon that refused to die
> To: [email-masked]
> Date: Wed, 13 Mar 2002 17:02:32 -0500 (EST)
> From: Guy Albertelli II <[email-masked]>
> Reply-To: [email-masked]
> 
> Hi Matthew,
> 
> > I'm getting the following errors when I /etc/init.d/httpd restart
> > :  
> > 
> > [Wed Mar 13 16:28:53 2002] [warn] child process 15448 still did 
> not exit,
> > sending a SIGTERM
> > [Wed Mar 13 16:28:53 2002] [warn] child process 15450 still did 
> not exit,
> > sending a SIGTERM
> > [Wed Mar 13 16:29:00 2002] [crit] (98)Address already in use: 
> make_sock: could
> > not bind to port 80
> > 
> > Anyone else seeing these?
> 
> Yep I was seeing these.
> 
> What is causing it is when httpd Exits it calls lonnet::flushlogs
> 
> Checkout the lonnet.log it'll let you know what it is trying to
> flush that is taking so long.
> 
> -- 
> [email-masked]        BM: n^20 t20 z20 qS 
> Guy Albertelli -7-9-8-  O-
>     I like work; it fascinates me. I can sit and look at it for
> hours.  
> 
> --__--__--
> 
> Message: 8
> Subject: Re: [LON-CAPA-dev] The daemon that refused to die
> To: [email-masked]
> Date: Wed, 13 Mar 2002 17:14:12 -0500 (EST)
> From: "Matthew Brian Hall" <[email-masked]>
> Reply-To: [email-masked]
> 
> Hmmm, my logs are full of:
> 
> Wed Mar 13 16:34:07 2002 (15450): Second attempt con_lost on
> no_host Wed Mar 13 16:34:07 2002 (15448): Second attempt con_lost
> on no_host Wed Mar 13 16:34:12 2002 (15450): Second attempt
> con_lost on no_host Wed Mar 13 16:34:12 2002 (15448): Second
> attempt con_lost on no_host Wed Mar 13 16:34:17 2002 (15450):
> Second attempt con_lost on no_host Wed Mar 13 16:34:17 2002
> (15448): Second attempt con_lost on no_host  
> 
> Interesting.  I've recently pared down my development_hosts.tab 
> to just kirk,
> I'll see if it still whines...
> 
> Matthew
> 
>  > Hi Matthew,
> >
> > > I'm getting the following errors when I /etc/init.d/httpd
> > > restart : 
> > >
> > > [Wed Mar 13 16:28:53 2002] [warn] child process 15448 still 
> did not exit,
> > > sending a SIGTERM
> > > [Wed Mar 13 16:28:53 2002] [warn] child process 15450 still 
> did not exit,
> > > sending a SIGTERM
> > > [Wed Mar 13 16:29:00 2002] [crit] (98)Address already in use: 
> make_sock: cou
> ld
> > > not bind to port 80
> > >
> > > Anyone else seeing these?
> >
> > Yep I was seeing these.
> >
> > What is causing it is when httpd Exits it calls lonnet::flushlogs
> >
> > Checkout the lonnet.log it'll let you know what it is trying to
> > flush that is taking so long.
> >
> > --
> > [email-masked]        BM: n^20 t20 z20 qS
> > Guy Albertelli -7-9-8-  O-
> >     I like work; it fascinates me. I can sit and look at it for
> > hours. _______________________________________________
> > LON-CAPA-dev mailing list
> > [email-masked]
> > http://mail.lon-capa.org/mailman/listinfo/lon-capa-dev
> >
> 
> 
> --
> ------------------------------------------------------------------
> Matthew Hall           LON-CAPA developer         [email-masked]
> 123 North Kedzie Hall                    Michigan State University
> ------------------------------------------------------------------
> 
> 
> --__--__--
> 
> Message: 9
> Date: Thu, 14 Mar 2002 11:17:20 -0500
> From: Gerd Kortemeyer <[email-masked]>
> Organization: LITE DSME MSU
> To: [email-masked]
> Subject: Re: [LON-CAPA-dev] more info with s1
> Reply-To: [email-masked]
> 
> This is a multi-part message in MIME format.
> --------------7431BE79577E362438A2BDA4
> Content-Type: text/plain; charset=us-ascii
> Content-Transfer-Encoding: 7bit
> 
> Yep ... :-(
> 
> Those are the servers at Westshore Community College, Zimbabwe, and
> India.  
> 
> - Gerd.
> 
> Felicia Berryman wrote:
> 
> > Ummm, this doesn't look to groovy either:
> >
> > lonc
> >
> > Log
> >
> > Wed Mar 13 06:39:01 2002 (19770): CRITICAL: Child 30780 for
> > server wsccl1 died (4)
> > Wed Mar 13 06:39:01 2002 (19770): INFO: Trying to reconnect for
> > wsccl1 (5 of 5 attempts)
> > Wed Mar 13 06:39:01 2002 (19770): Attempting to start child for
> > server wsccl1
> > Wed Mar 13 06:49:34 2002 (30783): WARNING: Couldn't connect
> > ncstl1 (226 secs): IO::Socket::INET: Connection timed out
> > Wed Mar 13 06:49:41 2002 (30784): WARNING: Couldn't connect
> > loncapa (264 secs): IO::Socket::INET: Connection timed out
> > Wed Mar 13 06:52:10 2002 (30785): WARNING: Couldn't connect
> > wsccl1 (351 secs): IO::Socket::INET: Connection timed out
> > Wed Mar 13 06:53:20 2002 (19770): CRITICAL: Child 30783 for
> > server ncstl1 died (5)
> > Wed Mar 13 06:54:05 2002 (19770): CRITICAL: Child 30784 for
> > server loncapa died (5)
> > Wed Mar 13 06:58:01 2002 (19770): CRITICAL: Child 30785 for
> > server wsccl1 died (5)
> > Wed Mar 13 07:15:00 2002 (19782): Sending msua4: ping
> > --
> > Felicia Berryman
> > LON-CAPA Coordinator
> > Michigan State University
> >   Email:  [email-masked]
> >   Phone:  (517)432-9866
> > http://www.lon-capa.org
> > _______________________________________________
> > LON-CAPA-dev mailing list
> > [email-masked]
> > http://mail.lon-capa.org/mailman/listinfo/lon-capa-dev
> 
> --------------7431BE79577E362438A2BDA4
> Content-Type: text/x-vcard; charset=us-ascii;
>  name="korte.vcf"
> Content-Transfer-Encoding: 7bit
> Content-Description: Card for Gerd Kortemeyer
> Content-Disposition: attachment;
>  filename="korte.vcf"
> 
> begin:vcard 
> n:Kortemeyer;Gerd
> tel;fax:(517) 432-2175
> tel;work:(517) 432-5468
> x-mozilla-html:FALSE
> url:http://www.lite.msu.edu/kortemeyer/
> org:LITE Lab;DSME MSU
> version:2.1
> email;internet:[email-masked]
> title:Instructional Technology Specialist
> adr;quoted-printable:;;123 North Kedzie Labs=0D=0AMichigan State 
> University;East Lansing;MI;48824;USA
> fn:Gerd Kortemeyer
> end:vcard
> 
> --------------7431BE79577E362438A2BDA4--
> 
> 
> --__--__--
> 
> Message: 10
> Date: Thu, 14 Mar 2002 11:34:18 -0500
> From: Scott Harrison <[email-masked]>
> To: [email-masked]
> Subject: Re: [LON-CAPA-dev] more info with s1
> Reply-To: [email-masked]
> 
> I will try to contact and troubleshoot these with the upcoming
> upgrade tarball approach...should happen within a week.
> 
> Regards,
> Scott
> 
> Gerd Kortemeyer wrote:
> > 
> > Yep ... :-(
> > 
> > Those are the servers at Westshore Community College, Zimbabwe, 
> and India.
> > 
> > - Gerd.
> > 
> > Felicia Berryman wrote:
> > 
> > > Ummm, this doesn't look to groovy either:
> > >
> > > lonc
> > >
> > > Log
> > >
> > > Wed Mar 13 06:39:01 2002 (19770): CRITICAL: Child 30780 for
> > > server wsccl1 died (4)
> > > Wed Mar 13 06:39:01 2002 (19770): INFO: Trying to reconnect for
> > > wsccl1 (5 of 5 attempts)
> > > Wed Mar 13 06:39:01 2002 (19770): Attempting to start child for
> > > server wsccl1
> > > Wed Mar 13 06:49:34 2002 (30783): WARNING: Couldn't connect 
> ncstl1 (226
> > > secs): IO::Socket::INET: Connection timed out
> > > Wed Mar 13 06:49:41 2002 (30784): WARNING: Couldn't connect 
> loncapa (264
> > > secs): IO::Socket::INET: Connection timed out
> > > Wed Mar 13 06:52:10 2002 (30785): WARNING: Couldn't connect 
> wsccl1 (351
> > > secs): IO::Socket::INET: Connection timed out
> > > Wed Mar 13 06:53:20 2002 (19770): CRITICAL: Child 30783 for
> > > server ncstl1 died (5)
> > > Wed Mar 13 06:54:05 2002 (19770): CRITICAL: Child 30784 for
> > > server loncapa died (5)
> > > Wed Mar 13 06:58:01 2002 (19770): CRITICAL: Child 30785 for
> > > server wsccl1 died (5)
> > > Wed Mar 13 07:15:00 2002 (19782): Sending msua4: ping
> > > --
> > > Felicia Berryman
> > > LON-CAPA Coordinator
> > > Michigan State University
> > >   Email:  [email-masked]
> > >   Phone:  (517)432-9866
> > > http://www.lon-capa.org
> > > _______________________________________________
> > > LON-CAPA-dev mailing list
> > > [email-masked]
> > > http://mail.lon-capa.org/mailman/listinfo/lon-capa-dev
> 
> -- 
> Scott Harrison -- Graduate Student
> Microbiology and Molecular Genetics
> Mich. State. Univ., East Lansing, MI
> [email-masked], 517-353-0998
> 
> --__--__--
> 
> Message: 11
> Date: Fri, 15 Mar 2002 10:02:37 -0500
> From: Gerd Kortemeyer <[email-masked]>
> To: [email-masked], [email-masked]
> Subject: [LON-CAPA-dev] Unstable lonc
> Reply-To: [email-masked]
> 
> Hi,
> 
> Ron Fox worked on lonc and got qutite a few bugs out. If you want
> to try out his new version, and had explicitly checked out the
> STABLE version in the meantime, you need to go
> 
> cvs update -A lonc
> 
> to get back to the bleeding edge of lonc development - otherwise,
> you get stuck with the STABLE version for that component. Please do
> not do this on a production server.
> 
> THANKS!
> 
> - Gerd.
> 
> 
> --__--__--
> 
> Message: 12
> To: lon-capa-dev <[email-masked]>
> Date: Fri, 15 Mar 2002 17:05:35 -0500 (EST)
> From: Guy Albertelli II <[email-masked]>
> Subject: [LON-CAPA-dev] New files
> Reply-To: [email-masked]
> 
> Hi,
> 
> Added Nishreen/Josh's login screen and images.
> 
> Added to loncom/html/adm/lonIcons
> 
> aboutlon.gif
> accessbutton.gif
> fillbottom.gif
> fillleft.gif
> fillright.gif
> filltop.gif
> header.gif
> lite.gif
> litetext.gif
> loncapalogo.gif
> lowerleft.gif
> lowerright.gif
> upperleft.gif
> upperright.gif
> userauthentication.gif
> 
> 
> -- 
> [email-masked]        BM: n^20 t20 z20 qS 
> Guy Albertelli -7-9-8-  O-
>     I would love to but . . . it wouldn't be fair to the other
> Beautiful 
>     People. 
> 
> --__--__--
> 
> Message: 13
> Date: Fri, 15 Mar 2002 17:34:34 EST
> To: [email-masked]
> From: Nishreen Upletawala <[email-masked]>
> Subject: [LON-CAPA-dev] administrator role header
> Reply-To: [email-masked]
> 
> There's an addition to the headers:
> 
> http://www.msu.edu/~upletawa/loncapa/userroles.html
> 
> Nishreen
> 
> --__--__--
> 
> Message: 14
> Date: Sun, 17 Mar 2002 16:54:55 -0500
> From: Gerd Kortemeyer <[email-masked]>
> To: [email-masked]
> Subject: Re: [LON-CAPA-dev] administrator role header
> Reply-To: [email-masked]
> 
> Hi Nishreen,
> 
> The "Administrator" role is actually a system administration role,
> so it has more to do with computer administration than "management"
> ... sorry if we did not explain.
> 
> BTW, what is the legal situation with the images you used?
> 
> - Gerd.
> 
> Nishreen Upletawala wrote:
> 
> > There's an addition to the headers:
> >
> > http://www.msu.edu/~upletawa/loncapa/userroles.html
> >
> > Nishreen
> > _______________________________________________
> > LON-CAPA-dev mailing list
> > [email-masked]
> > http://mail.lon-capa.org/mailman/listinfo/lon-capa-dev
> 
> 
> 
> --__--__--
> 
> _______________________________________________
> LON-CAPA-dev mailing list
> [email-masked]
> http://mail.lon-capa.org/mailman/listinfo/lon-capa-dev
> 
> 
> End of LON-CAPA-dev Digest